import { PropType } from 'vue';
import { ChartType, Plugin } from 'chart.js/auto';
import * as chartjs from 'chart.js';
export declare const defineCChartComponent: (name: string, type: ChartType) => import("vue").DefineComponent<{
    /**
     * Enables custom html based tooltips instead of standard tooltips.
     *
     * @default true
     */
    customTooltips: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * The data object that is passed into the Chart.js chart (more info).
     */
    data: {
        type: (ObjectConstructor | FunctionConstructor)[];
        required: true;
    };
    /**
     * Height attribute applied to the rendered canvas.
     *
     * @default 150
     */
    height: {
        type: NumberConstructor;
        default: number;
        required: false;
    };
    /**
     * ID attribute applied to the rendered canvas.
     */
    id: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * The options object that is passed into the Chart.js chart.
     *
     * {@link https://www.chartjs.org/docs/latest/general/options.html More Info}
     */
    options: {
        type: PropType<import("chart.js/types/utils")._DeepPartialObject<chartjs.CoreChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.ElementChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.PluginChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.DatasetChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.ScaleChartOptions<keyof chartjs.ChartTypeRegistry>>>;
        default: undefined;
        required: false;
    };
    plugins: {
        type: PropType<Plugin<keyof chartjs.ChartTypeRegistry, import("chart.js/types/basic").AnyObject>[]>;
        default: undefined;
    };
    /**
     * If true, will tear down and redraw chart on all updates.
     */
    redraw: BooleanConstructor;
    /**
     * Width attribute applied to the rendered canvas.
     *
     * @default 300
     */
    width: {
        type: NumberConstructor;
        default: number;
        required: false;
    };
    /**
     * Put the chart into the wrapper div element.
     *
     * @default true
     */
    wrapper: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("getDatasetAtEvent" | "getElementAtEvent" | "getElementsAtEvent")[], "getDatasetAtEvent" | "getElementAtEvent" | "getElementsAtEvent", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    customTooltips?: unknown;
    data?: unknown;
    height?: unknown;
    id?: unknown;
    options?: unknown;
    plugins?: unknown;
    redraw?: unknown;
    width?: unknown;
    wrapper?: unknown;
} & {
    customTooltips: boolean;
    data: unknown;
    height: number;
    redraw: boolean;
    width: number;
    wrapper: boolean;
} & {
    plugins?: Plugin<keyof chartjs.ChartTypeRegistry, import("chart.js/types/basic").AnyObject>[] | undefined;
    id?: string | undefined;
    options?: import("chart.js/types/utils")._DeepPartialObject<chartjs.CoreChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.ElementChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.PluginChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.DatasetChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.ScaleChartOptions<keyof chartjs.ChartTypeRegistry>> | undefined;
}>, {
    plugins: Plugin<keyof chartjs.ChartTypeRegistry, import("chart.js/types/basic").AnyObject>[];
    customTooltips: boolean;
    height: number;
    id: string;
    options: import("chart.js/types/utils")._DeepPartialObject<chartjs.CoreChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.ElementChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.PluginChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.DatasetChartOptions<keyof chartjs.ChartTypeRegistry> & chartjs.ScaleChartOptions<keyof chartjs.ChartTypeRegistry>>;
    redraw: boolean;
    width: number;
    wrapper: boolean;
}>;
